#include "export.h"

/* Function prototypes */

int mean ( const int *pArray, const unsigned int dwSize );
int median ( const int *pArray, const unsigned int dwSize );

/* Exported entry points */

EXPORT_ENTRY_POINT(mean);
EXPORT_ENTRY_POINT(median);

/* The global variable declared within the DLM */
int g_iTimesCalled;

/* Calculate the mean of an array pArray of length dwSize */

int mean ( const int *pArray, const unsigned int dwSize )
{
	unsigned int sum = 0;
	unsigned int i;
	
	++g_iTimesCalled;
	
	for ( i = 0 ; i < dwSize; ++i )
		sum += pArray[ i ];
		
	return sum / dwSize;
}

/* Calculate the median of an array pArray of length dwSize */

int median ( const int *pArray, const unsigned int dwSize )
{
	++g_iTimesCalled;
	
	return pArray [ dwSize / 2 ];
}


